curl --request POST \
--url https://api.example.com/api/agent/deployments/{deploymentId}/issues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"limit": 123,
"cursor": "<string>",
"filter": {
"ids": [
"<string>"
],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"repositoryNames": [
"<string>"
],
"repositoryIds": [
"<string>"
],
"repositoryTags": [
"<string>"
],
"refs": [
"<string>"
],
"repositoryRefIds": [
"<string>"
],
"aiSensitivities": [
"<string>"
],
"teamNames": [
"<string>"
],
"policySlugs": [
"<string>"
],
"rules": [
"<string>"
],
"ruleIds": [
"<string>"
],
"rulesets": [
"<string>"
],
"categories": [
"<string>"
],
"dependencies": [
"<string>"
],
"cves": [
"<string>"
],
"issueParentIds": [
"<string>"
],
"secretTypes": [
"<string>"
],
"excludeHistorical": true,
"onPrimaryBranch": true,
"includeTicketed": true,
"aiMemoryWillFlipVerdict": "<string>",
"aiMemoryReferenced": "<string>",
"includeAiMemoryRendered": true,
"aiMemoryRendered": "<string>",
"memoryIdInScope": "<string>",
"advisoryIds": [
"<string>"
],
"filePaths": [
"<string>"
],
"includeArchived": true
},
"includeRemediation": true,
"includeActivityHistory": true,
"includeIsArchived": true
}
'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/issues"
payload = {
"deploymentId": "<string>",
"limit": 123,
"cursor": "<string>",
"filter": {
"ids": ["<string>"],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"repositoryNames": ["<string>"],
"repositoryIds": ["<string>"],
"repositoryTags": ["<string>"],
"refs": ["<string>"],
"repositoryRefIds": ["<string>"],
"aiSensitivities": ["<string>"],
"teamNames": ["<string>"],
"policySlugs": ["<string>"],
"rules": ["<string>"],
"ruleIds": ["<string>"],
"rulesets": ["<string>"],
"categories": ["<string>"],
"dependencies": ["<string>"],
"cves": ["<string>"],
"issueParentIds": ["<string>"],
"secretTypes": ["<string>"],
"excludeHistorical": True,
"onPrimaryBranch": True,
"includeTicketed": True,
"aiMemoryWillFlipVerdict": "<string>",
"aiMemoryReferenced": "<string>",
"includeAiMemoryRendered": True,
"aiMemoryRendered": "<string>",
"memoryIdInScope": "<string>",
"advisoryIds": ["<string>"],
"filePaths": ["<string>"],
"includeArchived": True
},
"includeRemediation": True,
"includeActivityHistory": True,
"includeIsArchived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
limit: 123,
cursor: '<string>',
filter: {
ids: ['<string>'],
since: '2023-11-07T05:31:56Z',
until: '2023-11-07T05:31:56Z',
repositoryNames: ['<string>'],
repositoryIds: ['<string>'],
repositoryTags: ['<string>'],
refs: ['<string>'],
repositoryRefIds: ['<string>'],
aiSensitivities: ['<string>'],
teamNames: ['<string>'],
policySlugs: ['<string>'],
rules: ['<string>'],
ruleIds: ['<string>'],
rulesets: ['<string>'],
categories: ['<string>'],
dependencies: ['<string>'],
cves: ['<string>'],
issueParentIds: ['<string>'],
secretTypes: ['<string>'],
excludeHistorical: true,
onPrimaryBranch: true,
includeTicketed: true,
aiMemoryWillFlipVerdict: '<string>',
aiMemoryReferenced: '<string>',
includeAiMemoryRendered: true,
aiMemoryRendered: '<string>',
memoryIdInScope: '<string>',
advisoryIds: ['<string>'],
filePaths: ['<string>'],
includeArchived: true
},
includeRemediation: true,
includeActivityHistory: true,
includeIsArchived: true
})
};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"issues": [
{
"issue": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"ref": "<string>",
"syntacticId": "<string>",
"matchBasedId": "<string>",
"ruleId": "<string>",
"repository": {
"name": "<string>",
"id": "<string>",
"primaryRef": {
"id": "<string>",
"ref": "<string>"
}
},
"firstSeenScan": {
"id": "<string>",
"meta": {}
},
"relevantSince": "2023-11-07T05:31:56Z",
"note": "<string>",
"externalTicket": {
"url": "<string>",
"externalSlug": "<string>",
"id": "<string>",
"linkedIssueIds": [
"<string>"
]
},
"vulnGroupKey": "<string>",
"isBlocking": true,
"autotriage": {
"id": "<string>",
"issueId": "<string>",
"reason": "<string>",
"feedback": {
"autotriageId": "<string>",
"note": "<string>"
},
"matchBasedId": "<string>",
"memoryIdsReferenced": [
"<string>"
],
"memoryIdsRendered": [
"<string>"
]
},
"aiTags": {
"id": "<string>",
"path": "<string>",
"tags": "<string>"
},
"lineOfCodeUrl": "<string>",
"codeSnippet": "<string>",
"dataflowTrace": {
"taintSource": [
{
"path": "<string>",
"start": {
"line": "<string>",
"col": "<string>",
"offset": "<string>"
},
"end": {
"line": "<string>",
"col": "<string>",
"offset": "<string>"
},
"locationUrl": "<string>"
}
],
"intermediateVars": [
{
"path": "<string>",
"start": {
"line": "<string>",
"col": "<string>",
"offset": "<string>"
},
"end": {
"line": "<string>",
"col": "<string>",
"offset": "<string>"
},
"locationUrl": "<string>"
}
],
"taintSink": [
{
"path": "<string>",
"start": {
"line": "<string>",
"col": "<string>",
"offset": "<string>"
},
"end": {
"line": "<string>",
"col": "<string>",
"offset": "<string>"
},
"locationUrl": "<string>"
}
]
},
"commitUrl": "<string>",
"activityHistory": [
{
"date": "2023-11-07T05:31:56Z",
"title": "<string>",
"triageReason": "<string>",
"note": "<string>",
"actor": "<string>",
"exceptionRequestDetails": {}
}
],
"relatedIssues": [
{
"id": "<string>",
"ref": "<string>",
"pullRequestId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"remediation": {
"issueId": "<string>",
"matchBasedId": "<string>",
"autofix": {
"id": "<string>",
"fixCode": "<string>",
"fixDiff": "<string>",
"explanation": "<string>",
"url": "<string>"
},
"guidance": {
"id": "<string>",
"summary": "<string>",
"guidanceText": "<string>",
"memoryIdsUsed": [
"<string>"
]
}
},
"lastSeenScan": {
"id": "<string>",
"meta": {}
},
"filePath": "<string>",
"line": 123,
"endLine": 123,
"column": 123,
"endColumn": 123,
"message": "<string>",
"rulePath": "<string>",
"ruleUrl": "<string>",
"ruleReferences": [
"<string>"
],
"ruleHashId": "<string>",
"ruleCweNames": [
"<string>"
],
"ruleOwaspNames": [
"<string>"
],
"ruleset": "<string>",
"policySlug": "<string>",
"category": "<string>",
"ruleSupersededBy": [
{
"rulePath": "<string>"
}
],
"issueParentId": "<string>",
"ticketAttempts": [
{
"attemptedAt": "2023-11-07T05:31:56Z",
"responseMessage": "<string>"
}
],
"sastAttributes": {},
"scaAttributes": {
"vulnDatabaseIdentifier": "<string>",
"reachableCondition": "<string>",
"cwes": [
"<string>"
],
"foundDependency": {
"package": "<string>",
"version": "<string>",
"lockfileLineUrl": "<string>",
"filePath": "<string>",
"manifestFilePath": "<string>"
},
"fixRecommendations": [
{
"package": "<string>",
"version": "<string>"
}
],
"bestFix": {
"package": "<string>",
"version": "<string>"
},
"epssScore": {
"score": 123,
"percentile": 123,
"updatedAt": "2023-11-07T05:31:56Z"
},
"rulePublishDate": "2023-11-07T05:31:56Z",
"scaMatchInfo": {
"analyzedPackages": [
{
"package": "<string>",
"version": "<string>",
"lockfileLineUrl": "<string>",
"filePath": "<string>",
"manifestFilePath": "<string>"
}
],
"transitiveMatches": [
{
"dependency": {
"package": "<string>",
"version": "<string>",
"lockfileLineUrl": "<string>",
"filePath": "<string>",
"manifestFilePath": "<string>"
},
"path": "<string>",
"line": "<string>"
}
]
},
"introducedBy": [
{
"package": "<string>",
"version": "<string>"
}
]
},
"secretsAttributes": {
"secretType": "<string>",
"historicalInfo": {
"gitCommit": "<string>",
"gitCommitTimestamp": "2023-11-07T05:31:56Z",
"gitBlob": "<string>"
}
},
"subcategories": [
"<string>"
],
"refUrl": "<string>",
"codeowners": [
{
"id": "<string>",
"name": "<string>",
"isTeam": true,
"members": "<array>"
}
],
"codeSnippets": [
{
"path": "<string>",
"content": "<string>"
}
],
"ruleExplanation": {
"id": "<string>",
"summary": "<string>",
"explanation": "<string>"
},
"ruleDisplayName": "<string>",
"clickToFixPrUrl": "<string>",
"aiImpact": "<string>",
"aiExploitConditions": [
{
"description": "<string>",
"confirmed": true
}
],
"clickToFixCommitMsg": "<string>",
"exceptionRequest": {
"requesterLogin": "<string>",
"requesterNote": "<string>",
"reviewerLogin": "<string>",
"requestId": "<string>",
"reviewId": "<string>",
"issueId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"reviewedAt": "2023-11-07T05:31:56Z"
},
"clickToFixPrId": "<string>",
"isArchived": true
},
"reviewCount": "<string>",
"triageCount": "<string>",
"allRefs": [
"<string>"
],
"aiSilencedCount": "<string>",
"allReviewThreadIds": [
"<string>"
],
"allReviewComments": [
{
"isInline": true,
"threadId": "<string>"
}
]
}
],
"cursor": "<string>"
}List Issues
List an organization’s recent issues with filtering, sorting, and pagination
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Specifies the deployment to which the issues belong.
Body
Specifies the deployment to which the issues belong.
Deprecated: use issue_types instead. Filters issues to those with the specified type.
| value | description |
|---|---|
| ISSUE_TYPE_SAST | Detected by Code rules |
| ISSUE_TYPE_SCA | Detected by Supply Chain rules |
| ISSUE_TYPE_SECRETS | Detected by Secrets rules |
| ISSUE_TYPE_RESEARCH | Detected by research rules or scanners |
| ISSUE_TYPE_AI_SAST | Detected by AI detection code scanning |
ISSUE_TYPE_SAST, ISSUE_TYPE_SCA, ISSUE_TYPE_SECRETS, ISSUE_TYPE_RESEARCH, ISSUE_TYPE_AI_SAST Specifies the field to sort the results by.
| value | description |
|---|---|
| SORT_BY_SEVERITY | |
| SORT_BY_REF | |
| SORT_BY_REPO | |
| SORT_BY_RULE | |
| SORT_BY_RELEVANT_SINCE | |
| SORT_BY_STATE |
SORT_BY_SEVERITY, SORT_BY_REF, SORT_BY_REPO, SORT_BY_RULE, SORT_BY_RELEVANT_SINCE, SORT_BY_STATE Specifies the direction to sort the results.
| value | description |
|---|---|
| SORT_DIRECTION_ASC | |
| SORT_DIRECTION_DESC |
SORT_DIRECTION_ASC, SORT_DIRECTION_DESC Sets the page size of the paginated list of issues.
Cursor used for pagination -- passing no value or an empty string effectively requests the first page.
Filters the issues to list.
Show child attributes
Show child attributes
Filters issues to those with any of the specified types (based on the product which produced these issues). When empty, falls back to the deprecated issue_type field for backward compatibility.
| value | description |
|---|---|
| ISSUE_TYPE_SAST | Detected by Code rules |
| ISSUE_TYPE_SCA | Detected by Supply Chain rules |
| ISSUE_TYPE_SECRETS | Detected by Secrets rules |
| ISSUE_TYPE_RESEARCH | Detected by research rules or scanners |
| ISSUE_TYPE_AI_SAST | Detected by AI detection code scanning |
ISSUE_TYPE_UNSPECIFIED, ISSUE_TYPE_SAST, ISSUE_TYPE_SCA, ISSUE_TYPE_SECRETS, ISSUE_TYPE_RESEARCH, ISSUE_TYPE_AI_SAST When true, include AI remediation info (autofix and guidance) for each issue in the response. Defaults to false.
When true, include activity history (status changes, triage events, etc.) for each issue in the response. Defaults to false.
When true, populate the is_archived field on each issue in the response. Defaults to false.
Was this page helpful?